Post Project Component Ghg Entry Attribution
curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"attribution_factor": 0,
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions"
payload = {
"attribution_factor": 0,
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attribution_factor: 0, ghg_entry_id: 'rmv_1EEM6NJXX1S0EXKD'})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attribution_factor' => 0,
'ghg_entry_id' => 'rmv_1EEM6NJXX1S0EXKD'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions"
payload := strings.NewReader("{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}"
response = http.request(request)
puts response.read_body{
"co2e_net_removed_kg": 123,
"co2e_net_removed_standard_deviation_kg": 123,
"co2e_net_removed_without_discount_kg": 123,
"completed_on": "2023-12-25",
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credit_type": "REMOVAL",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
"id": "rmv_1EEM6NJXX1S0EXKD",
"risk_of_reversal_percentage": 123,
"started_on": "2023-12-25",
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Components
Post Project Component Ghg Entry Attribution
Manually attributes or removes attribution of a project component to a GHG entry.
POST
/
project_components
/
{id}
/
ghg_entry_attributions
Post Project Component Ghg Entry Attribution
curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"attribution_factor": 0,
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions"
payload = {
"attribution_factor": 0,
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attribution_factor: 0, ghg_entry_id: 'rmv_1EEM6NJXX1S0EXKD'})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attribution_factor' => 0,
'ghg_entry_id' => 'rmv_1EEM6NJXX1S0EXKD'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions"
payload := strings.NewReader("{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attribution_factor\": 0,\n \"ghg_entry_id\": \"rmv_1EEM6NJXX1S0EXKD\"\n}"
response = http.request(request)
puts response.read_body{
"co2e_net_removed_kg": 123,
"co2e_net_removed_standard_deviation_kg": 123,
"co2e_net_removed_without_discount_kg": 123,
"completed_on": "2023-12-25",
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credit_type": "REMOVAL",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
"id": "rmv_1EEM6NJXX1S0EXKD",
"risk_of_reversal_percentage": 123,
"started_on": "2023-12-25",
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?